#ifndef __EP_UPIWIN_H_INCLUDED
#define __EP_UPIWIN_H_INCLUDED

#define PY_SSIZE_T_CLEAN
#include <Python.h>
#include "wintype.h"

typedef struct tagUPIWIN_STATE {
  BOOL backlight_on;
  UINT32 backlight_level;
} UPIWIN_STATE, *PUPIWIN_STATE;

/* method definitions go here */
extern PyObject *Epython_get_backlight(PyObject *self, PyObject *args);
extern PyObject *Epython_set_backlight(PyObject *self, PyObject *args);
extern PyObject *Epython_get_backlight_level(PyObject *self, PyObject *args);
extern PyObject *Epython_set_backlight_level(PyObject *self, PyObject *args);

#endif /* __EP_UPIWIN_H_INCLUDED */
